#!/bin/sh

echo "Removing all .tmpl files inside /var/www/"
if [ ! -e ~/.asdfTemplate ]; then
    echo "    ERROR: ~/.asdfTemplate not exists"
    echo -n "Press <Enter> to continue or Ctrl-C to exit..."; read
else
    echo -n "Press <Enter> to continue or Ctrl-C to exit..."; read
    find /var/www/ -name .tmpl -exec rm {} \;
fi

echo "Removing DATADICT and DATADICTerr tables from all databases"
if [ ! -e ~/.asdfTemplate.db ]; then
    echo "    ERROR: ~/.asdfTemplate.db not exists"
    echo -n "Press <Enter> to continue or Ctrl-C to exit..."; read
else
    echo -n "Press <Enter> to continue or Ctrl-C to exit..."; read
    read -r -s -p "Please enter MySQL's root password: " PASS; echo
    for db in $(echo 'SHOW DATABASES;' | mysql -N -u root -p$PASS |
            grep -v asdfTemplate); do
        if echo 'SHOW TABLES;' | mysql -N -u root -p$PASS $db |
                grep DATADICT &>/dev/null; then
            echo "    removing DATADICT* tables from database: $db"
            echo "DROP TABLE DATADICT; DROP TABLE DATADICTerr;" |
                | mysql -u root -p$PASS $db
        fi
    done
fi

